summaryrefslogtreecommitdiff
path: root/meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest
diff options
context:
space:
mode:
authorJason M. Bills <jason.m.bills@linux.intel.com>2020-12-08 00:38:17 +0300
committerJason M. Bills <jason.m.bills@linux.intel.com>2020-12-08 00:38:17 +0300
commit8d6ae7f2a817751fad151168fa10ce28ee0869d8 (patch)
tree281032f7ec07c41589aa094bd165cc2a98f2d3a7 /meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest
parentc16fb8893b19075db4bcf3b5bf33c1db8c3ca2bd (diff)
parent5da3c2284560a7e08ffafd03c5b5ba44a3242228 (diff)
downloadopenbmc-8d6ae7f2a817751fad151168fa10ce28ee0869d8.tar.xz
Merge tag '0.26' of ssh://git-amr-1.devtools.intel.com:29418/openbmc-openbmc into update
Diffstat (limited to 'meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest')
-rw-r--r--meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest b/meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest
new file mode 100644
index 000000000..903c8c8d9
--- /dev/null
+++ b/meta-openembedded/meta-oe/recipes-test/cunit/files/run-ptest
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+ptestdir=$(dirname "$(readlink -f "$0")")
+cd $ptestdir/tests
+./test_cunit > cunit_test_out.tmp
+
+echo "--- Test output ---"
+cat cunit_test_out.tmp
+echo ""
+echo "--- ptest result ---"
+
+grep "Failures: 0" cunit_test_out.tmp > /dev/null
+if [ $? -eq 0 ]; then
+ echo "PASS: cunit"
+else
+ echo "FAIL: cunit"
+fi
+
+rm -f cunit_test_out.tmp